Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.model.addressbook
Class AddContactModel

    java.lang.Object
      portlets.compoze.groupware.model.AbstractModel
          portlets.compoze.groupware.model.addressbook.AddressBookModel
              portlets.compoze.groupware.model.addressbook.AddContactModel

All Implemented Interfaces:
  java.io.Serializable

public class AddContactModel
extends AddressBookModel
implements java.io.Serializable

This class represents the data model for the add contact view (`add_contact.jsp`).

See Also:
  Serialized Form

Constructor Summary
`AddContactModel(portlets.compoze.groupware.controls.provider.ProviderCapabilities capabilities, FeatureGroup featureGroup, GroupwarePreferences groupwarePrefs, AddressBookPreferences addressBookPrefs, Accounts accounts)` Constructor.

Method Summary
`boolean` | `getAddAnother()` Gets the flag for add another contact.
`Contact` | `getContact()` Gets the contact.
`java.lang.String` | `getImage()` Gets the image i18n resource.
`void` | `setAddAnother(boolean bAddAnother)` Sets the flag for add another contact.
`void` | `setContact(Contact contact)` Sets the contact.
`void` | `setImage(java.lang.String sImage)` Sets the image i18n resource.
`void` | `setSupportsAllContactProperties(boolean bSupportsAllContactProperties)` Sets the flag for support all contact properties.
`boolean` | `supportsAllContactProperties()` Gets the flag for support all contact properties.

Methods inherited from class portlets.compoze.groupware.model.addressbook.AddressBookModel
`getAddressBookPreferences`

Methods inherited from class portlets.compoze.groupware.model.AbstractModel
`getAccounts, getActualTitle, getFeatureGroup, getGroupwarePreferences, getImAccount, getProviderCapabilities, getTitle, getTitleArgs, getTitleCrumbTrailKeys, isImAvailable, setActualTitle, setImAccount, setImAvailable, setTitle, setTitleArgs, setTitleCrumbTrailKeys`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddContactModel

    public AddContactModel(portlets.compoze.groupware.controls.provider.ProviderCapabilities capabilities,
                           FeatureGroup featureGroup,
                           GroupwarePreferences groupwarePrefs,
                           AddressBookPreferences addressBookPrefs,
                           Accounts accounts)

  Constructor.

Parameters:
  `capabilities` - the capabilities of the provider (may not be `null`)
  `featureGroup` - the feature group (may not be `null`)
  `groupwarePrefs` - the groupware preferences (may not be `null`)
  `addressBookPrefs` - the address book preferences (may not be `null`)

Method Detail

### getContact

    public Contact getContact()

  Gets the contact.

  Returns:
    the contact

### setContact

    public void setContact(Contact contact)

  Sets the contact.

  Parameters:
    `contact` - the contact (may not be `null`)

### getImage

    public java.lang.String getImage()

  Gets the image i18n resource.

  Returns:
    the image i18n resource

### setImage

    public void setImage(java.lang.String sImage)

  Sets the image i18n resource.

  Parameters:
    `sImage` - the image i18n resource (may not be `null`)

### getAddAnother

    public boolean getAddAnother()

  Gets the flag for add another contact.

  Returns:
    if user wants to add another contact or `false` otherwise

### setAddAnother

    public void setAddAnother(boolean bAddAnother)

  Sets the flag for add another contact.

### supportsAllContactProperties

    public boolean supportsAllContactProperties()

  Gets the flag for support all contact properties.

  Returns:
    `true` if all contact properties could be set on a contact, or `false` otherwise.

### setSupportsAllContactProperties

    public void setSupportsAllContactProperties(boolean bSupportsAllContactProperties)

  Sets the flag for support all contact properties.

  Parameters:
    `bSupportsAllContactProperties` - `true` if all contact properties could be set on a contact, or `false` otherwise.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.